#!/usr/local/bin/wish -f

set REALNAME ""
set NICKNAME ""
set CHANNEL  ""
set INPUT    ""

wm title . "IBRC-Client"
wm geometry . 512x369

frame .labels
frame .center

label .label1 -width  8 -text "Name"
label .label2 -width 10 -relief sunken -textvariable REALNAME
label .label3 -width  8 -text "Nick"
label .label4 -width  9 -relief sunken -textvariable NICKNAME
label .label5 -width 11 -text "Channel"
label .label6 -width 12 -relief sunken -textvariable CHANNEL

text  .text  -relief sunken -height 1 -yscrollcommand ".scroll set"
entry .entry -relief sunken -textvariable INPUT

scrollbar .scroll -command ".text yview"

pack .labels -anchor w -fill x
pack .center -anchor w -fill both -expand 1
pack .entry  -anchor w -fill x 

pack .label1 -side left -fill x -in .labels
pack .label2 -side left -fill x -in .labels -expand 1
pack .label3 -side left -fill x -in .labels
pack .label4 -side left -fill x -in .labels -expand 1
pack .label5 -side left -fill x -in .labels
pack .label6 -side left -fill x -in .labels -expand 1

pack .scroll -side right -fill y -in .center
pack .text   -side left  -fill both -expand 1 -in .center

bind .entry <Return> {new_input $INPUT; set INPUT ""}
wm protocol . WM_DELETE_WINDOW {quit_ibrc}
